import random
from pybullet_arm_course.environment_setup import *

RED = [1., 0., 0., 1.]
GREEN = [0., 1., 0., 1.]
BLUE = [0., 0., 1., 1.]
YELLOW = [1., 1., 0., 1.]
TRANSPARENT_PURPLE = [1., 0., 1., 0.5]

def random_size():
    return random.choice([SMALL, MEDIUM, BIG])

def random_object():
    return random.choice([DUCK, CUBE, WEIGHT, BEAR])

def random_color():
    return random.choice([RED, BLUE, GREEN])



# potentially could give bonus to them to figure out this:
# def random_color():
#     return [random.random(), random.uniform(0, 1), random.uniform(0, 1), random.uniform(0.5, 1)]

if __name__=="__main__":
    initialize_environment()
    while simulation_is_running():
        if any_key_is_pressed():
            spawn_object(obj=random_object(), size=random_size(), color=random_color())
